<template>
  <h1>Componente Card</h1>

  <h2>Padrão</h2>
  <br-card>
    <br-card-content slot="content">
      <img src="https://picsum.photos/id/0/500" alt="Imagem de exemplo" />
    </br-card-content>
  </br-card>

  <h2>Altura fixa</h2>
  <br-card h-fixed>
    <br-card-header slot="header">
      <div class="d-flex">
        <br-avatar img-src="https://picsum.photos/id/823/400"></br-avatar>
        <div class="ml-3">
          <div class="text-weight-semi-bold text-up-02">Maria Amorim</div>
          <div>UX Designer</div>
        </div>
        <div class="ml-auto">
          <br-button circle icon="ellipsis-v"></br-button>
        </div>
      </div>
    </br-card-header>
    <br-card-content slot="content">
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
    </br-card-content>
    <br-card-footer slot="footer">
      <div class="d-flex">
        <div>
          <br-button label="Button"></br-button>
        </div>
        <div class="ml-auto">
          <br-button circle icon="share-alt"></br-button>
          <br-button circle icon="heart"></br-button>
        </div>
      </div>
    </br-card-footer>
  </br-card>

  <h2>Desabilitado</h2>
  <br-card id="card-disabled" disabled data-disabled="on">
    <br-card-header slot="header">
      <div class="d-flex">
        <br-avatar image="https://picsum.photos/id/823/400"></br-avatar>
        <div class="ml-3">
          <div class="text-weight-semi-bold text-up-02">Maria Amorim</div>
          <div>UX Designer</div>
        </div>
        <div class="ml-auto">
          <br-button circle icon="ellipsis-v" disabled></br-button>
        </div>
      </div>
    </br-card-header>
    <br-card-content slot="content">
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
    </br-card-content>
    <br-card-footer slot="footer">
      <div class="d-flex">
        <div>
          <br-button label="Button" disabled></br-button>
        </div>
        <div class="ml-auto">
          <br-button circle icon="share-alt" disabled></br-button>
          <br-button circle icon="heart" disabled></br-button>
        </div>
      </div>
    </br-card-footer>
  </br-card>

  <h2>com Hover</h2>
  <br-card hover>
    <br-card-header slot="header">
      <div class="d-flex">
        <br-avatar image="https://picsum.photos/id/823/400"></br-avatar>
        <div class="ml-3">
          <div class="text-weight-semi-bold text-up-02">Maria Amorim</div>
          <div>UX Designer</div>
        </div>
        <div class="ml-auto">
          <br-button circle icon="ellipsis-v"></br-button>
        </div>
      </div>
    </br-card-header>
    <br-card-content slot="content">
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
    </br-card-content>
    <br-card-footer slot="footer">
      <div class="d-flex">
        <div>
          <br-button label="Button"></br-button>
        </div>
        <div class="ml-auto">
          <br-button circle icon="share-alt"></br-button>
          <br-button circle icon="heart"></br-button>
        </div>
      </div>
    </br-card-footer>
  </br-card>

  <!-- FIXME: Card não expande. Ajustar ou remover? -->
  <h2>Expansível</h2>
  <br-button id="card-expand-btn" label="Abrir/Fechar"></br-button>
  <br-card id="card-expand" data-expanded="on" hover>
    <br-card-header slot="header">
      <div class="d-flex">
        <br-avatar image="https://picsum.photos/id/823/400"></br-avatar>
        <div class="ml-3">
          <div class="text-weight-semi-bold text-up-02">Maria Amorim</div>
          <div>UX Designer</div>
        </div>
        <div class="ml-auto">
          <br-button circle icon="ellipsis-v"> </br-button>
        </div>
      </div>
    </br-card-header>
    <br-card-content slot="content">
      <p>
        Lorem ipsum dolor sit, amet consectetur adipisicing elit. Tempore perferendis nam porro atque ex at, numquam non
        optio ab eveniet error vel ad exercitationem, earum et fugiat recusandae harum? Assumenda.
      </p>
    </br-card-content>
    <br-card-footer slot="footer">
      <div class="d-flex">
        <div>
          <br-button label="Button"></br-button>
        </div>
        <div class="ml-auto">
          <br-button circle icon="share-alt"></br-button>
          <br-button circle icon="heart"></br-button>
        </div>
      </div>
    </br-card-footer>
  </br-card>
</template>
